Bug 500971 - [Indic][GSUB]"U+09DC U+09CD U+09AF" need press backspace key four times to delete the whole char
Summary: [Indic][GSUB]"U+09DC U+09CD U+09AF" need press backspace key four times to de...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-15 09:17 UTC by XinSun
Modified: 2009-12-18 09:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 09:26:34 UTC


Attachments (Terms of Use)

Description XinSun 2009-05-15 09:17:53 UTC
Description of problem:
When input U+09DC U+09CD U+09AF ড়্য in gedit, we need to press Backspace key four times to delete the whole char.


Version-Release number of selected component (if applicable):
pangomm-2.14.1-1.fc10.x86_64
pango-1.22.3-1.fc10.i386
pango-1.22.3-1.fc10.x86_64
pango-devel-1.22.3-1.fc10.x86_64


How reproducible:
always

Steps to Reproduce:
1.Select "RAW CODE" in scim-bridge
2.Input U+09DC U+09CD U+09AF in gedit.
3.Press Backspace key to delete the whole char.
  
Actual results:
We need press backspce key four times to delete the whole char.

Expected results:
We should press backspace key three times to delete the whole char.

Additional info:
U+09DC U+09CD U+09AF ড়্য

Comment 1 XinSun 2009-05-15 09:20:48 UTC
[bn-IN][GSUB]:
U+09DC U+09CD U+0997 ড়্গ
has the same problem.

Comment 2 koka xiong 2009-05-15 10:04:17 UTC
[or_IN][GSUB]
U+0B30 U+0B4D U+0B5C  ର୍ଡ଼
U+0B30 U+0B4D U+0B5D  ର୍ଢ଼
U+0B5C U+0B4D U+0B30  ଡ଼୍ର
U+0B5D U+0B4D U+0B30  ଢ଼୍ର
has the same problem.

Comment 3 XinSun 2009-05-18 09:58:37 UTC
[pa_IN][GSUB]
U+0A33 U+0A4D U+0A2F ਲ਼੍ਯ 
U+0A36 U+0A4D U+0A2F ਸ਼੍ਯ
U+0A59 U+0A4D U+0A2F ਖ਼੍ਯ
U+0A5A U+0A4D U+0A2F ਗ਼੍ਯ
U+0A5B U+0A4D U+0A2F ਜ਼੍ਯ
U+0A36 U+0A4D U+0A30 ਸ਼੍ਰ
U+0A59 U+0A4D U+0A30 ਖ਼੍ਰ 
U+0A5A U+0A4D U+0A30 ਗ਼੍ਰ
U+0A5B U+0A4D U+0A30 ਜ਼੍ਰ
U+0A33 U+0A4D U+0A35 ਲ਼੍ਵ
U+0A36 U+0A4D U+0A35 ਸ਼੍ਵ
U+0A59 U+0A4D U+0A35 ਖ਼੍ਵ
U+0A5A U+0A4D U+0A35 ਗ਼੍ਵ
U+0A5B U+0A4D U+0A35 ਜ਼੍ਵ
U+0A5E U+0A4D U+0A35 ਫ਼੍ਵ
U+0A33 U+0A4D U+0A39 ਲ਼੍ਹ
U+0A36 U+0A4D U+0A39 ਸ਼੍ਹ
U+0A59 U+0A4D U+0A39 ਖ਼੍ਹ
U+0A5A U+0A4D U+0A39 ਗ਼੍ਹ
U+0A5E U+0A4D U+0A39 ਫ਼੍ਹ

Comment 4 Bug Zapper 2009-11-18 11:57:56 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-12-18 09:26:34 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.